<?php
  	     	      	        	   	       		         	    	   	   	     
/*
------------------------------------------------------------------------
sec/payment_gateways/paypal.php
------------------------------------------------------------------------
Clover Shop Pro 3.7.0 (FI)                                    2011-01-13
------------------------------------------------------------------------
    ___  __    _____  _  _  ____  ____      ___  _   _  _____  ____ 
   / __)(  )  (  _  )( \/ )( ___)(  _ \    / __)( )_( )(  _  )(  _ \
  ( (__  )(__  )(_)(  \  /  )__)  )   /    \__ \ ) _ (  )(_)(  )___/
   \___)(____)(_____)  \/  (____)(_)\_)    (___/(_) (_)(_____)(__)     

    Tekijnoikeus (c) 2001-2008 Apilaratas Oy, 2009- Clover Shop Oy

------------------------------------------------------------------------
 Tmn ohjelmiston tai sen osien kytt edellytt ohjelmiston kytt-
 oikeussopimuksen hyvksymist ja kyttoikeusluvan hankkimista Clover
 Shop Oy:lt. Luvaton kytt, kopiointi ja jakelu on kielletty.
 >>> http://www.clovershop.com
------------------------------------------------------------------------
*/


//-----------------------------------------------------------------
// Lets make sure that nobody visits this page for fun.
// Actually visiting this page does nothing harmful.
//-----------------------------------------------------------------

if (preg_match ("/\/paypal.php/", $_SERVER['PHP_SELF'])) {

	error_reporting (E_ERROR | E_WARNING | E_PARSE);
	exit;

}



//-----------------------------------------------------------------
// CONFIGURATION
//
// This payment method requires a PayPal Account.
//
// Login to your PayPal account.
// Select "My Account", "Profile"*, "Website Payment Preferences".
// *Click the link. Do not select anything from the drop down menu.
// 
// Recommended settings are
// - Auto Return for Website Payments: On
//   Enter your website URL to the "Return URL" field. This is done
//   for sure. The URL will be overwritten by the Clover Shop
//   scripts, so it does not matter what you enter.
// - Payment Data Transfer (optional): Off
// - Encrypted Website Payments: Off
// - PayPal Account Optional: Off
// - Contact Telephone Number: Off
// - Express Checkout Settings: No
//
// Set up the PayPal settings below and save the file.
//-----------------------------------------------------------------

$paypal['business'] = "demo@clovershop.com";   // e-mail address of your PayPal account
$paypal['currency_ex_rate'] = "1.00";          // Currency exchange rate for PayPal's currency (below)
$paypal['currency_code'] = "EUR";              // Currency code of your PayPal account
























































//-----------------------------------------------------------------
// PayPal's payment gateway
//-----------------------------------------------------------------

if ($_SESSION['clover_shop_payment_method'] == "PayPal" && preg_match ("/\/payment.php/", $_SERVER['PHP_SELF'])) {

	$paypal['item_name'] = "Order $temp_new[cs_order_reference_number]";
	$paypal['amount'] = correct ($paypal['currency_ex_rate'] * $_SESSION['clover_shop_grand_total']['subtotal']);
	$paypal['item_number'] = $temp_new['cs_order_reference_number'];
	$paypal['return'] = "$config[cs_setting_sec_url]/thank_you.php?ref=$temp_new[cs_order_reference_number]&order_successful=1&sec=$sec_hash";
	$paypal['cancel_return'] = "$config[cs_setting_sec_url]/thank_you.php?ref=$temp_new[cs_order_reference_number]&order_cancelled=1&sec=$sec_hash";

	echo "<P>Olemme vastaanottaneet tilauksesi. Klikkaa PayPal -nappia.</P>";
  	     	      	        	   	       		         	    	   	   	     
	echo "<FORM action=\"https://www.paypal.com/cgi-bin/webscr\" name=\"_xclick\" method=\"post\" class=\"inline\">";
	echo "<INPUT type=\"hidden\" name=\"bn\" value=\"Clover Shop Oy.Clover Shop\">";
	echo "<INPUT type=\"hidden\" name=\"cmd\" value=\"_xclick\">";
	echo "<INPUT type=\"hidden\" name=\"business\" value=\"". $paypal['business'] ."\">";
	echo "<INPUT type=\"hidden\" name=\"item_name\" value=\"". $paypal['item_name'] ."\">";
	echo "<INPUT type=\"hidden\" name=\"amount\" value=\"". $paypal['amount'] ."\">";
	echo "<INPUT type=\"hidden\" name=\"currency_code\" value=\"". $paypal['currency_code'] ."\">";
	echo "<INPUT type=\"hidden\" name=\"item_number\" value=\"". $paypal['item_number'] ."\">";
	echo "<INPUT type=\"hidden\" name=\"undefined_quantity\" value=\"0\">";
	echo "<INPUT type=\"hidden\" name=\"no_shipping\" value=\"1\">";
	echo "<INPUT type=\"hidden\" name=\"no_note\" value=\"1\">";
	echo "<INPUT type=\"hidden\" name=\"return\" value=\"". $paypal['return'] ."\">";
	echo "<INPUT type=\"hidden\" name=\"rm\" value=\"2\">";
	echo "<INPUT type=\"hidden\" name=\"cancel_return\" value=\"". $paypal['cancel_return'] ."\">";
	echo "<INPUT type=\"submit\" value=\"PayPal\" class=\"button\">";
	echo "</FORM>";

}

unset ($paypal);

?>
