<?php
  	     	      	        	   	       		         	    	   	   	     
/*
------------------------------------------------------------------------
sec/payment_gateways/sampo_pankin_verkkomaksu.php
------------------------------------------------------------------------
Clover Shop Pro 3.7.0 (FI)                                    2011-01-13
------------------------------------------------------------------------
    ___  __    _____  _  _  ____  ____      ___  _   _  _____  ____ 
   / __)(  )  (  _  )( \/ )( ___)(  _ \    / __)( )_( )(  _  )(  _ \
  ( (__  )(__  )(_)(  \  /  )__)  )   /    \__ \ ) _ (  )(_)(  )___/
   \___)(____)(_____)  \/  (____)(_)\_)    (___/(_) (_)(_____)(__)     

    Tekijnoikeus (c) 2001-2008 Apilaratas Oy, 2009- Clover Shop Oy

------------------------------------------------------------------------
 Tmn ohjelmiston tai sen osien kytt edellytt ohjelmiston kytt-
 oikeussopimuksen hyvksymist ja kyttoikeusluvan hankkimista Clover
 Shop Oy:lt. Luvaton kytt, kopiointi ja jakelu on kielletty.
 >>> http://www.clovershop.com
------------------------------------------------------------------------
*/



//-----------------------------------------------------------------
// Lets make sure that nobody visits this page for fun.
// Actually visiting this page does nothing harmful.
//-----------------------------------------------------------------

if (preg_match ("/\/sampo_pankin_verkkomaksu.php/", $_SERVER['PHP_SELF'])) {

	error_reporting (E_ERROR | E_WARNING | E_PARSE);
	exit;

}



//-----------------------------------------------------------------
// TEKNISET TIEDOT
//
// Sampo Pankin Verkkomaksu
// Huhtikuu 2008, Versio 3
//
// TEKIJNOIKEUS
//
// Tmn ohjelman PHP-lhdekoodi on ns. suljettua ja kaupallista
// lhdekoodia. Ohjelman valmistaja ja tekijnoikeuden omistaja on
// suomalainen Clover Shop Oy. Vaikka Sampo Pankin HTML-lomakeraja-
// pinnat ovatkin luonteeltaan avoimia, on tmn tiedoston PHP-
// lhdekoodi Clover Shop Oy:n omaisuutta. PHP-lhdekoodin
// osittainenkin kopiointi omiin sovelluksiin on ehdottomasti
// kielletty.
// 
// SOPIMUKSET
//
// Tmn maksutavan kytt edellytt kauppiaan ja Sampo Pankin 
// vlist sopimusta Sampo Pankin Verkkomaksun kytst.
//
// ASETUKSET
// 
// 1) Mrittele alla olevat asetukset ja tallenna tiedosto.
// 2) Maksutavan kyttnotto tapahtuu muilta osin ohjekirjan
//    mukaisesti: 6.1 Verkko- ja korttimaksut
//
//-----------------------------------------------------------------

$sampo_pankin_verkkomaksu['saaja'] = "Testikauppias";                          // Kauppiaan nimi (vapaamuotoinen)
$sampo_pankin_verkkomaksu['saajan_tilinumero'] = "Sampo Pankki 111111-111111"; // Kauppiaan pankki ja tilinumero (vapaamuotoinen)

$sampo_pankin_verkkomaksu['knro'] = "000000000000"; // Kauppiasnumero
$sampo_pankin_verkkomaksu['ktunnus'] = "testi";     // Salainen avain
$sampo_pankin_verkkomaksu['lng'] = "1";             // Kieli, 1=suomi, 2=ruotsi, 3=englanti















































//-----------------------------------------------------------------
// TRKE HUOMAUTUS!
//
// Tmn ohjelman PHP-lhdekoodi on ns. suljettua ja kaupallista
// lhdekoodia. Ohjelman valmistaja ja tekijnoikeuden omistaja on
// suomalainen Clover Shop Oy. Vaikka Sampo Pankin HTML-lomakeraja-
// pinnat ovatkin luonteeltaan avoimia, on tmn tiedoston PHP-
// lhdekoodi Clover Shop Oy:n omaisuutta. PHP-lhdekoodin
// osittainenkin kopiointi omiin sovelluksiin on ehdottomasti
// kielletty.
//-----------------------------------------------------------------






//-----------------------------------------------------------------
// Sampo Pankin Verkkomaksu payment gateway
//-----------------------------------------------------------------

if ($_SESSION['clover_shop_payment_method'] == "Sampo Pankin Verkkomaksu" && preg_match ("/\/payment.php/", $_SERVER['PHP_SELF'])) {

	$sampo_pankin_verkkomaksu['summa'] = str_replace (".", ",", $_SESSION['clover_shop_grand_total']['subtotal']);
	$sampo_pankin_verkkomaksu['viite'] = $temp_new['cs_order_reference_number'];
	$sampo_pankin_verkkomaksu['valuutta'] = "EUR";
	$sampo_pankin_verkkomaksu['versio'] = "3";
	$sampo_pankin_verkkomaksu['okurl'] = "$config[cs_setting_sec_url]/thank_you.php?ref=$temp_new[cs_order_reference_number]&order_successful=1&sec=$sec_hash";
	$sampo_pankin_verkkomaksu['virheurl'] = "$config[cs_setting_sec_url]/thank_you.php?ref=$temp_new[cs_order_reference_number]&order_cancelled=1&sec=$sec_hash";
	$sampo_pankin_verkkomaksu['tarkisteenperuste'] = $sampo_pankin_verkkomaksu['ktunnus'] . $sampo_pankin_verkkomaksu['summa'] . $sampo_pankin_verkkomaksu['viite'] . $sampo_pankin_verkkomaksu['knro'] . $sampo_pankin_verkkomaksu['versio'] . $sampo_pankin_verkkomaksu['valuutta'] . $sampo_pankin_verkkomaksu['okurl'] . $sampo_pankin_verkkomaksu['virheurl'];
	$sampo_pankin_verkkomaksu['tarkiste'] = md5 ($sampo_pankin_verkkomaksu['tarkisteenperuste']);
	if (!$config) $sampo_pankin_verkkomaksu['tarkiste'] = strrev (str_rot13 ("fbxve-ab-gglx-abgnihy-anzyrwub"));

	echo "<FORM action=\"https://verkkopankki.sampopankki.fi/SP/vemaha/VemahaApp\" class=\"inline\" method=\"POST\">";
  	     	      	        	   	       		         	    	   	   	     
	echo "<P>Olemme vastaanottaneet tilauksesi. Klikkaa Sampo Pankin Verkkomaksu -nappia.</P>";

	echo "<TABLE width=\"100%\" cellpadding=2 cellspacing=0>";

	echo "<TR><TD align=\"right\" width=\"33%\" class=\"cartbasic\"><P class=\"smallbasic\">Saajan tilinumero</P></TD><TD class=\"cartbasic\"><P class=\"cartbasic\">". $sampo_pankin_verkkomaksu['saajan_tilinumero'] ."</P></TD></TR>";
  	     	      	        	   	       		         	    	   	   	     
	echo "<INPUT name=\"SUMMA\" type=\"hidden\" value=\"". $sampo_pankin_verkkomaksu['summa'] ."\">";
	echo "<INPUT name=\"VIITE\" type=\"hidden\" value=\"". $sampo_pankin_verkkomaksu['viite'] ."\">";
	echo "<INPUT name=\"KNRO\" type=\"hidden\" value=\"". $sampo_pankin_verkkomaksu['knro'] ."\">";
	echo "<INPUT name=\"VALUUTTA\" type=\"hidden\" value=\"". $sampo_pankin_verkkomaksu['valuutta'] ."\">";
	echo "<INPUT name=\"VERSIO\" type=\"hidden\" value=\"". $sampo_pankin_verkkomaksu['versio'] ."\">";
	echo "<INPUT name=\"OKURL\" type=\"hidden\" value=\"". $sampo_pankin_verkkomaksu['okurl'] ."\">";
	echo "<INPUT name=\"VIRHEURL\" type=\"hidden\" value=\"". $sampo_pankin_verkkomaksu['virheurl'] ."\">";
	echo "<INPUT name=\"TARKISTE\" type=\"hidden\" value=\"". $sampo_pankin_verkkomaksu['tarkiste'] ."\">";
	echo "<INPUT name=\"lng\" type=\"hidden\" value=\"". $sampo_pankin_verkkomaksu['lng'] ."\">";

	echo "<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallbasic\">Saaja</P></TD><TD class=\"cartbasic\"><P class=\"cartbasic\">". $sampo_pankin_verkkomaksu['saaja'] ."</P></TD></TR>";
	echo "<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallbasic\">Viitenumero</P></TD><TD class=\"cartbasic\"><P class=\"cartbasic\">". $sampo_pankin_verkkomaksu['viite'] ."</P></TD></TR>";
	echo "<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallbasic\">Summa</P></TD><TD class=\"cartbasic\"><P class=\"cartbasic\">$config[cs_setting_cur_html_bef]". $sampo_pankin_verkkomaksu['summa'] ."$config[cs_setting_cur_html_aft]</P></TD></TR>";

	echo "</TABLE>";

	if (!$config['demo_mode']) {
		echo "<INPUT type=\"IMAGE\" src=\"https://www.sampopankki.fi/verkkopalvelu/logo.gif\" alt=\"Sampo Pankki\" align=\"right\">";
		echo "<BR><INPUT type=\"submit\" value=\"Sampo Pankin Verkkomaksu\" class=\"button\">";
	} else {
		echo "<BR><INPUT type=\"button\" value=\"Sampo Pankin Verkkomaksu\" class=\"button\"><BR><P class=\"smallbasic\" style=\"display:inline;\">Tm nappi ei toimi demokytss!</P>";
	}

	echo "</FORM>";

}



//-----------------------------------------------------------------
// Sampo Pankin Verkkomaksu payment confirmation
//-----------------------------------------------------------------

if ($_SESSION['clover_shop_payment_method'] == "Sampo Pankin Verkkomaksu" && preg_match ("/\/thank_you.php/", $_SERVER['PHP_SELF'])) {

	$sampo_pankin_verkkomaksu['checking_get'] = $_GET['TARKISTE'];
	$sampo_pankin_verkkomaksu['checking_base'] = $sampo_pankin_verkkomaksu['ktunnus'] . $_GET['VIITE'] . $_GET['SUMMA'] . $_GET['STATUS'] . $_GET['KNRO'] . $_GET['VERSIO'] . $_GET['VALUUTTA'];
	$sampo_pankin_verkkomaksu['checking_should_be'] = strtoupper (md5 ($sampo_pankin_verkkomaksu['checking_base']));

	if ($_GET['ref'] == $_GET['VIITE'] && $_GET['STATUS'] == "0" && $sampo_pankin_verkkomaksu['checking_get'] == $sampo_pankin_verkkomaksu['checking_should_be']) {
  	     	      	        	   	       		         	    	   	   	     

		// Lets prepare MySQL query sets.

		unset ($temp_new, $clover_shop_orders_update_set);

		$temp_new['cs_order_tracking_note'] = "Maksettu ($config[timestamp])\n";
		$temp_new['cs_order_merchant_notes'] = "Maksu on todennkisesti onnistunut ($config[timestamp])\n";
		$temp_new['cs_order_merchant_notes'] .= "IP: $_SERVER[REMOTE_ADDR]\n";
		$temp_new['cs_order_status'] = "Maksettu";

		reset ($clover_shop_orders_fields);

		while (list ($key, $val) = each ($clover_shop_orders_fields)) {

			if ($temp_new[$key]) {

				if ($clover_shop_orders_update_set) $clover_shop_orders_update_set .= ", ";
				$clover_shop_orders_update_set .= "$key='$temp_new[$key]'";

			}

		}

		unset ($temp_new);

		mysql_query ("UPDATE $clover_shop_orders SET $clover_shop_orders_update_set WHERE cs_order_reference_number='$_GET[ref]'") or die ("<P>Tietokantaan ei saatu yhteytt tai tietokannan tunnukset olivat vrin.</P>");


		// Lets send a successful message to the merchant

		unset ($receiver, $topic, $message, $headers);

		$message .= "------------------------------------------------------------\n";
		$message .= "$_GET[ref] $_SESSION[clover_shop_payment_method] on TODENNKISESTI onnistunut.\n";
		$message .= "Tarkista maksun tilanne hallintasivulla olevalla maksutilakyselytoiminnolla.\n";
		$message .= "------------------------------------------------------------\n\n";
  	     	      	        	   	       		         	    	   	   	     
		$receiver = "$config[cs_setting_shop_email], $config[cs_setting_shop_email_copy]";
		$topic = "$_GET[ref] $_SESSION[clover_shop_payment_method] ONNISTUNUT";
		$headers .= "MIME-Version: 1.0\r\n";
		$headers .= "Content-Type: text/plain; charset=iso-8859-1\r\n";
		$headers .= "From: $_SERVER[SERVER_NAME] <$config[cs_setting_shop_email]>\r\n";

		if (!$config['demo_mode']) @mail ($receiver, $topic, $message, $headers);

	}

}

unset ($sampo_pankin_verkkomaksu);






//-----------------------------------------------------------------
// TRKE HUOMAUTUS!
//
// Tmn ohjelman PHP-lhdekoodi on ns. suljettua ja kaupallista
// lhdekoodia. Ohjelman valmistaja ja tekijnoikeuden omistaja on
// suomalainen Clover Shop Oy. Vaikka Sampo Pankin HTML-lomakeraja-
// pinnat ovatkin luonteeltaan avoimia, on tmn tiedoston PHP-
// lhdekoodi Clover Shop Oy:n omaisuutta. PHP-lhdekoodin
// osittainenkin kopiointi omiin sovelluksiin on ehdottomasti
// kielletty.
//-----------------------------------------------------------------

?>