<?php
  	     	      	        	   	       		         	    	   	   	     
/*
------------------------------------------------------------------------
adm/tools_import_product_options_all.php
------------------------------------------------------------------------
Clover Shop Pro 3.7.0 (FI)                                    2011-01-13
------------------------------------------------------------------------
    ___  __    _____  _  _  ____  ____      ___  _   _  _____  ____ 
   / __)(  )  (  _  )( \/ )( ___)(  _ \    / __)( )_( )(  _  )(  _ \
  ( (__  )(__  )(_)(  \  /  )__)  )   /    \__ \ ) _ (  )(_)(  )___/
   \___)(____)(_____)  \/  (____)(_)\_)    (___/(_) (_)(_____)(__)     

    Tekijnoikeus (c) 2001-2008 Apilaratas Oy, 2009- Clover Shop Oy

------------------------------------------------------------------------
 Tmn ohjelmiston tai sen osien kytt edellytt ohjelmiston kytt-
 oikeussopimuksen hyvksymist ja kyttoikeusluvan hankkimista Clover
 Shop Oy:lt. Luvaton kytt, kopiointi ja jakelu on kielletty.
 >>> http://www.clovershop.com
------------------------------------------------------------------------
*/



//-----------------------------------------------------------------
// Lets include the config_adm.php file.
//-----------------------------------------------------------------

include "config_adm.php";



//-----------------------------------------------------------------
// Lets start a MySQL connection.
//-----------------------------------------------------------------

$mysql_link = mysql_connect ($config['mysql_server'], $config['mysql_readwrite_username'], $config['mysql_readwrite_password']) or die ("<P>Tietokantaan ei saatu yhteytt. Vr 'mysql_server', 'mysql_readwrite_username' tai 'mysql_readwrite_password'.</P>");
  	     	      	        	   	       		         	    	   	   	     
mysql_select_db ($config['mysql_database'], $mysql_link) or die ("<P>Tietokantaan ei saatu yhteytt. Vr 'mysql_database'.</P>");

if ($config['mysql_set_names']) mysql_query ("SET NAMES '$config[mysql_set_names]'");



//-----------------------------------------------------------------
// Lets add some more values to the $config array that was created
// in the config_adm.php file.
//-----------------------------------------------------------------

$result = mysql_query ("SELECT * FROM $clover_shop_settings LIMIT 1");

if ($result) while ($s = mysql_fetch_array ($result, MYSQL_ASSOC)) while (list ($key, $val) = each ($s)) if ($val) $config[$key] = $val;



//-----------------------------------------------------------------
// Lets define some variables that will be used within this page.
//-----------------------------------------------------------------

if ($_POST['import_column_separator'] && $_POST['import_column_separator'] == "semi-colon") $_POST['import_column_separator'] = ";";
if ($_POST['import_column_separator'] && $_POST['import_column_separator'] == "tabulator") $_POST['import_column_separator'] = "\t";
if ($_POST['import_column_separator'] && $_POST['import_column_separator'] == "pipeline") $_POST['import_column_separator'] = "\|";



//-----------------------------------------------------------------
// Lets set the page title and include the header.php file.
//-----------------------------------------------------------------

$page_title = "Tykalut - Tuo tuoteoptioita";
include "header.php";

?>

<?php

//-----------------------------------------------------------------
// Lets import product options.
//-----------------------------------------------------------------

if (!$config['demo_mode'] && $_GET['import']) {

	for ($i = 1; $i <= 25; $i++) {

		if ($_POST['import_column_'. $i] == "cs_product_code") $obligatory_columns['cs_product_code'] = 1;
		if ($_POST['import_column_'. $i] == "cs_option_title") $obligatory_columns['cs_option_title'] = 1;

	}

	if (!$obligatory_columns['cs_product_code'] || !$obligatory_columns['cs_option_title']) {

		$error_message = "Jokin tekstitiedostossa oleva pakollinen sarake ji valitsematta.";

	}

}

if (!$config['demo_mode'] && $_GET['import'] && !$_POST['import_column_separator']) {

	$error_message = "Sarake-erotinmerkki puuttui.";

}

if (!$config['demo_mode'] && $_GET['import'] && !$_POST['import_filename']) {

	$error_message = "Tuotavan tiedoston nimi puuttui.";

}

if (!$config['demo_mode'] && $_GET['import'] && $_POST['import_filename'] && !file_exists ($_POST['import_filename'])) {

	$error_message = "Tuotavaa tiedostoa $_POST[import_filename] ei lytynyt.";

}

if (!$config['demo_mode'] && $_GET['import'] && $_POST['import_filename'] && file_exists ($_POST['import_filename']) && $_POST['import_column_separator']) {

	$filearray = file ($_POST['import_filename']);

	while (list ($no, $line) = each ($filearray)) {

		if (!trim ($line)) continue;

		$column_separators = substr_count ($line, $_POST['import_column_separator']);
		$number_of_separators[$column_separators]++;

		if (!preg_match ("/$_POST[import_column_separator]/", $line)) $invalid_lines++;

	}

	if ($invalid_lines) $error_message = "Tuotavasta tiedostosta lytyi $invalid_lines kpl virheellisi rivej, joilla ei ollut ollenkaan sarake-erotinmerkkej ($_POST[import_column_separator]).";

	if (count ($number_of_separators) > 1) $error_message = "Tuotavasta tiedostosta lytyi virheellisi rivej, joilla ei ollut yht monta saraketta kuin muilla riveill.";

}


// Lets actually import the product options.

if (!$config['demo_mode'] && $_GET['import'] && $_POST['import_filename'] && $_POST['import_column_separator'] && !$error_message) {
	
	
	// Lets set the session variables of the column menus.
	
	for ($i = 1; $i <= 25; $i++) unset ($_SESSION['import_product_options_all_import_column_'. $i]);
	for ($i = 1; $i <= 25; $i++) if ($_POST['import_column_'. $i]) $_SESSION['import_product_options_all_import_column_'. $i] = $_POST['import_column_'. $i];
	
	
	// Lets add new product options.
	
	$listing_position = 2;
	
	$result = mysql_query ("SELECT cs_option_listing_position FROM $clover_shop_options ORDER BY cs_option_listing_position desc LIMIT 1");
	
	while ($r = mysql_fetch_array ($result)) {
		$listing_position = $r['cs_option_listing_position'];
		break;
	}
	
	$filearray = file ($_POST['import_filename']);
	
	while (list ($no, $line) = each ($filearray)) {
		
		$s = preg_split ("/$_POST[import_column_separator]/", $line);
		
		for ($i = 1; $i <= 25; $i++) {
			
			$select_menu_name = "import_column_$i";
			
			if ($_POST[$select_menu_name]) {
				
				$table_field_name = $_POST[$select_menu_name];
				$column_s_number = $i - 1;
				$temp_new[$table_field_name] = $s[$column_s_number];
				
			}
			
		}
		
		if (!$temp_new['cs_option_visible']) $temp_new['cs_option_visible'] = 1;
		if (!$temp_new['cs_option_menu']) $temp_new['cs_option_menu'] = 1;
		if ($temp_new['cs_option_title_continue1']) $temp_new['cs_option_title'] .= " ". $temp_new['cs_option_title_continue1'];				
		if ($temp_new['cs_option_title_continue2']) $temp_new['cs_option_title'] .= " ". $temp_new['cs_option_title_continue2'];
		if (!$temp_new['cs_option_datetime_last_modified']) $temp_new['cs_option_datetime_last_modified'] = $config['timestamp'];

		$temp_new['cs_product_code'] = mysql_real_escape_string (trim (stripslashes ($temp_new['cs_product_code'])));
		
		$result = mysql_query ("SELECT cs_product_id FROM $clover_shop_products WHERE cs_product_code='$temp_new[cs_product_code]'");

		unset ($temp_new['cs_product_code'], $temp_new['cs_option_title_continue1'], $temp_new['cs_option_title_continue2']);
		
		if (mysql_num_rows ($result)) {
			
			while ($r = mysql_fetch_array ($result)) {
		
				$temp_new['cs_product_id'] = $r['cs_product_id'];

				$listing_position = $listing_position + 2;
				$temp_new[cs_option_listing_position] = $listing_position;
			
				
				// Lets prepare MySQL query sets.
				
				unset ($clover_shop_options_insert_into_set);
				
				reset ($clover_shop_options_fields);
				
				while (list ($key, $val) = each ($clover_shop_options_fields)) {
					
					if ($temp_new[$key]) {
						
						$temp_new[$key] = mysql_real_escape_string (trim (stripslashes ($temp_new[$key])));
						
						if ($clover_shop_options_insert_into_set) $clover_shop_options_insert_into_set .= ", ";
						$clover_shop_options_insert_into_set .= "$key='$temp_new[$key]'";
						
					}
					
				}
				
				
				mysql_query ("INSERT INTO $clover_shop_options SET $clover_shop_options_insert_into_set") or die (mysql_error ());
				
			}
			
			} else {
			
			continue;
			
		}
	
		unset ($temp_new);
	
	}
	

	// Lets update the "options exists" information.
				
	$result = mysql_query ("SELECT cs_product_id FROM $clover_shop_products");
	
	if (mysql_num_rows ($result)) {
			
		while ($s = mysql_fetch_array ($result)) {

			$other_result = mysql_query ("SELECT cs_product_id FROM $clover_shop_options WHERE cs_product_id='$s[cs_product_id]' LIMIT 1");

			if (mysql_num_rows ($other_result)) {

				mysql_query ("UPDATE $clover_shop_products SET cs_product_options_exists='1' WHERE cs_product_id='$s[cs_product_id]'") or die (mysql_error ());

			} else {

				mysql_query ("UPDATE $clover_shop_products SET cs_product_options_exists=NULL WHERE cs_product_id='$s[cs_product_id]'") or die (mysql_error ());

			}

		}

	}


	// Lets update the product option codes, if the automatic product codes are on.
				
	if ($config['cs_setting_admin_automate_code']) {

		$result = mysql_query ("SELECT cs_option_id, cs_product_id FROM $clover_shop_options WHERE cs_option_code IS NULL");
	
		if (mysql_num_rows ($result)) {
			
			while ($s = mysql_fetch_array ($result)) {

				$cs_option_code = 100000 + $s['cs_product_id'] ."-". $s['cs_option_id'];

				mysql_query ("UPDATE $clover_shop_options SET cs_option_code='$cs_option_code' WHERE cs_option_id='$s[cs_option_id]'") or die (mysql_error ());

			}

		}

	}


	// Lets upgrade all listing position numbers because the permanent listing
	// position numbers must always be a serie even numbers (10,12,14,16...)

	mysql_query ("SET @listpos := 2");

	mysql_query ("UPDATE $clover_shop_options SET cs_option_listing_position=(@listpos:=@listpos+2) ORDER BY cs_product_id asc, cs_option_menu asc, cs_option_listing_position asc") or die (mysql_error ());


	$status_message .= "$config[timestamp]: Tuoteoptiot tuotu. ";
	
}



//-----------------------------------------------------------------
// Lets show the page.
//-----------------------------------------------------------------

if ($error_message) {

	echo "<H1>Oho!</H1>\n\n";

	echo "<P>$error_message</P>\n\n";

	echo "<NOSCRIPT>\n";
	echo "<P>Voit klikata www-selaimen Takaisin -nappulaa.</P>\n";
	echo "</NOSCRIPT>\n\n";

	echo "<SCRIPT type=\"Text/JavaScript\">\n";
	echo "document.writeln ('<FORM action=\"\" class=\"inline\"><INPUT type=\"button\" value=\"Siirry edelliselle sivulle\" onclick=\"javascript:history.go(-1)\" class=\"button\"><\/FORM>');\n";
	echo "</SCRIPT>\n\n";

	} else {

?>

<H1>Tykalut</H1>

<?php include ("tools_links.php"); ?>

<FORM action="tools_import_product_options_all.php?import=1" method="POST" class="inline">

<H1>Tuo tuoteoptioita</H1>

<P>Tmn tykalun avulla voi tuoda tuoteoptioita tekstitiedostosta MySQL-tietokannassa oleville tuotteille. Tekstitiedoston jokaisella rivill tulee olla sen tuotteen tuotenumero, johon tuoteoptio listn.</P>

<P>Tykalu ei tuhoa tai korvaa MySQL-tietokannassa olevia tuoteoptioita vaan lis ne olemassa olevien lisksi. Tuonnin jlkeen tuoteoptiotietoja voi tydent normaalisti <a href="products.php">tuotteiden hallinnassa</a>.</P>

<UL>
<LI>Muokkaa tuoteoptiotietoja taulukkolaskentaohjelmassa. Jokaisella rivill on oltava yhden tuoteoption tiedot ja tsmlleen yht monta saraketta. Tallenna tuoteoptiotiedot taulukkolaskentaohjelmasta yksinkertaiseksi tekstitiedostoksi. Sarakkeet tulee erottaa sarake-erotinmerkill, joka voi olla puolipilkku, tabulaattori tai pipeline.</LI>
<LI>Siirr tekstitiedosto FTP-ohjelmalla www-palvelimelle kansioon adm\import.</LI>
<LI><a href="settings.php" target="_blank">Sulje kauppa</a> tilapisesti yllpidon vuoksi (vapaaehtoinen).</LI>
<LI>Luo <a href="backup.php" target="_blank">varmuuskopio</a> nykyisist tiedoista.</LI>
<LI>Jos haluat poistaa MySQL-tietokannasta kaikkien tuotteiden kaikki tuoteoptiot, <a href="tools_delete_database_tables.php" target="_blank">poista</a> olemassa oleva MySQL-taulukko nimelt clover_shop_options.</LI>
<LI><a href="tools_import_product_options_all.php">Klikkaa tst</a> yhden kerran (trke).</LI>
</UL>

<UL>
<LI>Valitse tuotava tekstitiedosto. Huomioi, ett taulukkolaskentatiedostot (esim. *.xls) pit tallentaa tekstitiedostoksi (esim. *.txt) ennen tuontia.</LI>
</UL>

<UL>
<SELECT name="import_filename">
<OPTION value="">- valitse -</OPTION>
<OPTION value=""></OPTION>
<?php

$dir = dir ("import/");

while ($file = $dir->read ()) {

	if (!is_dir ("import/$file") && is_file ("import/$file") && !preg_match ("/\.doc/i", $file) && !preg_match ("/\.xls/i", $file) && !preg_match ("/htaccess/i", $file) && !preg_match ("/index\.htm/i", $file)) echo "<OPTION value=\"import/$file\">import/$file</OPTION>";

}

$dir->close ();

?>

</SELECT>
</UL>

<UL>
<LI>Valitse kytettv sarake-erotinmerkki.</LI>
</UL>

<UL>
<SELECT name="import_column_separator">
<OPTION value="">- valitse -</OPTION>
<OPTION value=""></OPTION>
<OPTION value="semi-colon">Puolipilkku</OPTION>
<OPTION value="tabulator">Tabulaattori</OPTION>
<OPTION value="pipeline">Pipeline</OPTION>
</SELECT>
</UL>

<UL>
<LI>Mrittele sarakkeiden vastaavuudet. Thdell (*) merkityt ovat pakollisia tekstitiedostossa olevia sarakkeita.</LI>
</UL>

<UL>
<TABLE>

<?php

for ($i = 1; $i <= 24; $i++) {

	echo "<TR><TD align=\"right\"><P class=\"smallbasic\"> Sarake $i vastaa</P></TD><TD><SELECT name=\"import_column_$i\">";
	echo "<OPTION value=\"\">- ei mitn -</OPTION>";
	echo "<OPTION value=\"\"></OPTION>";

	echo "<OPTION value=\"cs_product_code\"";
	if ($_SESSION['import_product_options_all_import_column_'. $i] == "cs_product_code") echo " selected"; 
	echo ">tuotteen tuotekoodi*</OPTION>";

	echo "<OPTION value=\"cs_option_menu\"";
	if ($_SESSION['import_product_options_all_import_column_'. $i] == "cs_option_menu") echo " selected"; 
	echo ">tuoteoptiovalikko (1-20, oletus 1)</OPTION>";

	echo "<OPTION value=\"cs_option_title\"";
	if ($_SESSION['import_product_options_all_import_column_'. $i] == "cs_option_title") echo " selected"; 
	echo ">tuoteoption nimi*</OPTION>";

	echo "<OPTION value=\"cs_option_title_continue1\"";
	if ($_SESSION['import_product_options_all_import_column_'. $i] == "cs_option_title_continue1") echo " selected"; 
	echo ">... tuoteoption nimi jatkuu</OPTION>";

	echo "<OPTION value=\"cs_option_title_continue2\"";
	if ($_SESSION['import_product_options_all_import_column_'. $i] == "cs_option_title_continue2") echo " selected"; 
	echo ">... ... tuoteoption nimi jatkuu</OPTION>";

	echo "<OPTION value=\"cs_option_extra_price_1\"";
	if ($_SESSION['import_product_options_all_import_column_'. $i] == "cs_option_extra_price_1") echo " selected"; 
	echo ">tuoteoption lishinta 1</OPTION>";

	echo "<OPTION value=\"cs_option_inventory_price\"";
	if ($_SESSION['import_product_options_all_import_column_'. $i] == "cs_option_inventory_price") echo " selected"; 
	echo ">tuoteoption inventaarihinta</OPTION>";

	echo "<OPTION value=\"cs_option_stock\"";
	if ($_SESSION['import_product_options_all_import_column_'. $i] == "cs_option_stock") echo " selected"; 
	echo ">tuoteoptio varastossa</OPTION>";

	echo "<OPTION value=\"cs_option_sold\"";
	if ($_SESSION['import_product_options_all_import_column_'. $i] == "cs_option_sold") echo " selected"; 
	echo ">tuoteoptio myyty</OPTION>";

	echo "<OPTION value=\"cs_option_delivery_cost_unit\"";
	if ($_SESSION['import_product_options_all_import_column_'. $i] == "cs_option_delivery_cost_unit") echo " selected"; 
	echo ">tuoteoption toimituskuluyksikk</OPTION>";

	echo "<OPTION value=\"cs_option_picture\"";
	if ($_SESSION['import_product_options_all_import_column_'. $i] == "cs_option_picture") echo " selected"; 
	echo ">tuoteoption kuva</OPTION>";

	echo "<OPTION value=\"cs_option_code\"";
	if ($_SESSION['import_product_options_all_import_column_'. $i] == "cs_option_code") echo " selected"; 
	echo ">tuoteoption koodi</OPTION>";

	echo "<OPTION value=\"cs_option_datetime_last_modified\"";
	if ($_SESSION['import_product_options_all_import_column_'. $i] == "cs_option_datetime_last_modified") echo " selected"; 
	echo ">tuoteoptio pivitetty (VVVV-KK-PP TT:MM:SS)</OPTION>";

	echo "</SELECT></TD></TR>\n\n";

}

?>

</TABLE>
</UL>

<UL>
<LI>Klikkaa Tuo tuoteoptioita -nappia yhden kerran ja odota kunnes sivu latautuu uudelleen.</LI>
</UL>

<UL>
<INPUT type="submit" value="Tuo tuoteoptioita" class="button_critical">
</UL>

<UL>
<P class="smallnote"><B>Trke!</B> Jos tm sivu ei lataudu uudelleen tai sivulla nkyy ilmoitus "server timeout", palauta varmuuskopio ja tuo vhemmn tuoteoptiota yhdell kertaa.</P>
</UL>

<UL>
<LI>Tarkista <a href="products.php" target="_blank">tuotteet ja tuoteoptiot</a>.</LI>
<LI>Jos tuonti eponnistui, voit <a href="backup_restore.php" target="_blank">palauttaa varmuuskopion</a>.</LI>
<LI><a href="settings.php" target="_blank">Avaa kauppa</a> (vapaaehtoinen).</LI>
</UL>

</FORM>

<?php

}

?>

<?php

//-----------------------------------------------------------------
// Lets include the footer.php file.
//-----------------------------------------------------------------

include "footer.php";



//-----------------------------------------------------------------
// Lets close MySQL connection.
//-----------------------------------------------------------------

mysql_close ($mysql_link);
  	     	      	        	   	       		         	    	   	   	     
?>
