<?php
  	     	      	        	   	       		         	    	   	   	     
/*
------------------------------------------------------------------------
adm/tools_import_products_category.php
------------------------------------------------------------------------
Clover Shop Pro 3.7.0 (FI)                                    2011-01-13
------------------------------------------------------------------------
    ___  __    _____  _  _  ____  ____      ___  _   _  _____  ____ 
   / __)(  )  (  _  )( \/ )( ___)(  _ \    / __)( )_( )(  _  )(  _ \
  ( (__  )(__  )(_)(  \  /  )__)  )   /    \__ \ ) _ (  )(_)(  )___/
   \___)(____)(_____)  \/  (____)(_)\_)    (___/(_) (_)(_____)(__)     

    Tekijnoikeus (c) 2001-2008 Apilaratas Oy, 2009- Clover Shop Oy

------------------------------------------------------------------------
 Tmn ohjelmiston tai sen osien kytt edellytt ohjelmiston kytt-
 oikeussopimuksen hyvksymist ja kyttoikeusluvan hankkimista Clover
 Shop Oy:lt. Luvaton kytt, kopiointi ja jakelu on kielletty.
 >>> http://www.clovershop.com
------------------------------------------------------------------------
*/



//-----------------------------------------------------------------
// Lets include the config_adm.php file.
//-----------------------------------------------------------------

include "config_adm.php";



//-----------------------------------------------------------------
// Lets start a MySQL connection.
//-----------------------------------------------------------------

$mysql_link = mysql_connect ($config['mysql_server'], $config['mysql_readwrite_username'], $config['mysql_readwrite_password']) or die ("<P>Tietokantaan ei saatu yhteytt. Vr 'mysql_server', 'mysql_readwrite_username' tai 'mysql_readwrite_password'.</P>");
  	     	      	        	   	       		         	    	   	   	     
mysql_select_db ($config['mysql_database'], $mysql_link) or die ("<P>Tietokantaan ei saatu yhteytt. Vr 'mysql_database'.</P>");

if ($config['mysql_set_names']) mysql_query ("SET NAMES '$config[mysql_set_names]'");



//-----------------------------------------------------------------
// Lets add some more values to the $config array that was created
// in the config_adm.php file.
//-----------------------------------------------------------------

$result = mysql_query ("SELECT * FROM $clover_shop_settings LIMIT 1");

if ($result) while ($s = mysql_fetch_array ($result, MYSQL_ASSOC)) while (list ($key, $val) = each ($s)) if ($val) $config[$key] = $val;



//-----------------------------------------------------------------
// Lets define some variables that will be used within this page.
//-----------------------------------------------------------------

if ($_POST['import_column_separator'] && $_POST['import_column_separator'] == "semi-colon") $_POST['import_column_separator'] = ";";
if ($_POST['import_column_separator'] && $_POST['import_column_separator'] == "tabulator") $_POST['import_column_separator'] = "\t";
if ($_POST['import_column_separator'] && $_POST['import_column_separator'] == "pipeline") $_POST['import_column_separator'] = "\|";



//-----------------------------------------------------------------
// Lets set the page title and include the header.php file.
//-----------------------------------------------------------------

$page_title = "Tykalut - Tuo tuotteita kategoriaan";
include "header.php";

?>

<?php

//-----------------------------------------------------------------
// Lets import products.
//-----------------------------------------------------------------

// Lets check the request.

if (!$config['demo_mode'] && $_GET['import']) {

	for ($i = 1; $i <= 25; $i++) {

		if ($_POST['import_column_'. $i] == "cs_product_title") $obligatory_columns['cs_product_title'] = 1;
		if ($_POST['import_column_'. $i] == "cs_product_tax_percent_1") $obligatory_columns['cs_product_tax_percent_1'] = 1;
		if ($_POST['import_column_'. $i] == "cs_product_tax_percent_2") $obligatory_columns['cs_product_tax_percent_2'] = 1;

	}

	if (!$obligatory_columns['cs_product_title'] || ($config[cs_setting_tax_name_1] && !$obligatory_columns['cs_product_tax_percent_1']) || ($config[cs_setting_tax_name_2] && !$obligatory_columns['cs_product_tax_percent_2'])) {

		$error_message = "Jokin tekstitiedostossa oleva pakollinen sarake ji valitsematta.";

	}

}

if (!$config['demo_mode'] && $_GET['import'] && !$_POST['import_category']) {

	$error_message = "Kategoria, johon tuotteet tuodaan, oli valitsematta.";

}

if (!$config['demo_mode'] && $_GET['import'] && !$_POST['import_column_separator']) {

	$error_message = "Sarake-erotinmerkki oli valitsematta.";

}

if (!$config['demo_mode'] && $_GET['import'] && !$_POST['import_data']) {

	$error_message = "Tuotavat tuotetiedot puuttuivat.";

}

if (!$config['demo_mode'] && $_GET['import'] && $_POST['import_data'] && $_POST['import_column_separator']) {

	$import_data_split = preg_split ("/\n/", $_POST['import_data']);

	while (list ($no, $line) = each ($import_data_split)) {

		$line = trim ($line);
		if (!$line) continue;

		$column_separators = substr_count ($line, $_POST['import_column_separator']);
		$number_of_separators[$column_separators]++;

		if (!preg_match ("/$_POST[import_column_separator]/", $line)) $invalid_lines++;

	}

	if ($invalid_lines) $error_message = "Tuotetiedoista lytyi $invalid_lines kpl virheellisi rivej, joilla ei ollut ollenkaan sarake-erotinmerkkej ($_POST[import_column_separator]).";

	if (count ($number_of_separators) > 1) $error_message = "Tuotetiedoista lytyi virheellisi rivej, joilla ei ollut yht monta saraketta kuin muilla riveill.";

}


// Lets actually import the products.

if (!$config['demo_mode'] && $_GET['import'] && $_POST['import_data'] && $_POST['import_column_separator'] && !$error_message) {


	// Lets set the session variables of the column menus.

	for ($i = 1; $i <= 25; $i++) unset ($_SESSION['import_products_category_import_column_'. $i]);
	for ($i = 1; $i <= 25; $i++) if ($_POST['import_column_'. $i]) $_SESSION['import_products_category_import_column_'. $i] = $_POST['import_column_'. $i];


	// Lets find out the highest listing position number.

	$result = mysql_query ("SELECT cs_product_listing_position FROM $clover_shop_products ORDER BY cs_product_listing_position desc LIMIT 1");

	if (mysql_num_rows ($result)) {
		$s = mysql_fetch_array ($result);
		$listing_position = $s['cs_product_listing_position'];
	}


	// Lets process the import data.

	$import_data_split = preg_split ("/\n/", $_POST['import_data']);

	while (list ($no, $line) = each ($import_data_split)) {

		$temp_new['cs_category_id'] = $_POST['import_category'];

		$listing_position = $listing_position + 2;
		$temp_new[cs_product_listing_position] = $listing_position;

		$line = trim ($line);
		if (!$line) continue;

		$s = preg_split ("/$_POST[import_column_separator]/", $line);

		for ($i = 1; $i <= 25; $i++) {

			$select_menu_name = "import_column_$i";

			if ($_POST[$select_menu_name]) {

				$table_field_name = $_POST[$select_menu_name];
				$column_s_number = $i - 1;
				$temp_new[$table_field_name] = $s[$column_s_number];

			}

		}


		// Lets correct some values

		if ($temp_new['cs_product_price_1']) $temp_new['cs_product_price_1'] = correct ($temp_new['cs_product_price_1']);
		if ($temp_new['cs_product_special_price_1']) $temp_new['cs_product_special_price_1'] = correct ($temp_new['cs_product_special_price_1']);
		if ($temp_new['cs_product_price_2']) $temp_new['cs_product_price_2'] = correct ($temp_new['cs_product_price_2']);
		if ($temp_new['cs_product_special_price_2']) $temp_new['cs_product_special_price_2'] = correct ($temp_new['cs_product_special_price_2']);
		if ($temp_new['cs_product_inventory_price']) $temp_new['cs_product_inventory_price'] = correct ($temp_new['cs_product_inventory_price']);
		if ($temp_new['cs_product_tax_percent_1']) $temp_new['cs_product_tax_percent_1'] = correct ($temp_new['cs_product_tax_percent_1']);
		if ($temp_new['cs_product_tax_percent_2']) $temp_new['cs_product_tax_percent_2'] = correct ($temp_new['cs_product_tax_percent_2']);


		// Lets define some general values

		if (!$temp_new['cs_product_datetime']) $temp_new['cs_product_datetime'] = $config['timestamp'];
		if (!$temp_new['cs_product_datetime_last_modified']) $temp_new['cs_product_datetime_last_modified'] = $config['timestamp'];
		if (!$temp_new['cs_product_visible']) $temp_new['cs_product_visible'] = 1;
		if (!$temp_new['cs_product_tax_percent_1'] && $config['cs_setting_tax_percent_1']) $temp_new['cs_product_tax_percent_1'] = $config['cs_setting_tax_percent_1'];
		if (!$temp_new['cs_product_tax_percent_2'] && $config['cs_setting_tax_percent_2']) $temp_new['cs_product_tax_percent_2'] = $config['cs_setting_tax_percent_2'];


		// Lets prepare MySQL query sets.

		unset ($clover_shop_products_insert_into_set);

		reset ($clover_shop_products_fields);

		while (list ($key, $val) = each ($clover_shop_products_fields)) {

			if ($temp_new[$key]) {

				$temp_new[$key] = mysql_real_escape_string (trim (stripslashes ($temp_new[$key])));

				if ($clover_shop_products_insert_into_set) $clover_shop_products_insert_into_set .= ", ";
				$clover_shop_products_insert_into_set .= "$key='$temp_new[$key]'";

			}

		}


		mysql_query ("INSERT INTO $clover_shop_products SET $clover_shop_products_insert_into_set") or die (mysql_error ());

		unset ($temp_new);

	}


	// Lets upgrade all listing position numbers because the permanent listing
	// position numbers must always be a serie of even numbers (12,14,16...)

	mysql_query ("SET @listpos := 2");

	mysql_query ("UPDATE $clover_shop_products SET cs_product_listing_position=(@listpos:=@listpos+2) ORDER BY cs_category_id asc, cs_product_listing_position asc") or die (mysql_error ());


	$status_message .= "$config[timestamp]: Tuotteet tuotu kategoriaan. ";

}



//-----------------------------------------------------------------
// Lets show the page.
//-----------------------------------------------------------------

if ($error_message) {

	echo "<H1>Oho!</H1>\n\n";

	echo "<P>$error_message</P>\n\n";

	echo "<NOSCRIPT>\n";
	echo "<P>Voit klikata www-selaimen Takaisin -nappulaa.</P>\n";
	echo "</NOSCRIPT>\n\n";

	echo "<SCRIPT type=\"Text/JavaScript\">\n";
	echo "document.writeln ('<FORM action=\"\" class=\"inline\"><INPUT type=\"button\" value=\"Siirry edelliselle sivulle\" onclick=\"javascript:history.go(-1)\" class=\"button\"><\/FORM>');\n";
	echo "</SCRIPT>\n\n";

	} else {

?>

<H1>Tykalut</H1>

<?php include ("tools_links.php"); ?>

<FORM action="tools_import_products_category.php?import=1" method="POST" class="inline">

<H1>Tuo tuotteita kategoriaan</H1>

<P>Tmn tykalun avulla voi tuoda useita tuotteita yhdell kertaa tekstitiedostosta johonkin MySQL-tietokannassa olevaan kategoriaan.</P>

<P>Tykalu ei tuhoa MySQL-tietokannassa olevia tuotteita vaan lis ne olemassa olevien lisksi. Tuotetietoja voi tydent normaalisti <a href="products.php">tuotteiden hallinnassa</a>.</P>

<UL>
<LI>Muokkaa tuotetietoja taulukkolaskentaohjelmassa. Jokaisella rivill on oltava yhden tuotteen tuotetiedot ja tsmlleen yht monta saraketta. Sarakkeiden jrjestys voi olla mik tahansa. Tallenna tuotetiedot taulukkolaskentaohjelmasta yksinkertaiseksi tekstitiedostoksi. Sarakkeet tulee erottaa sarake-erotinmerkill, joka voi olla puolipilkku, tabulaattori tai pipeline.</LI>
<LI><a href="settings.php" target="_blank">Sulje kauppa</a> tilapisesti yllpidon vuoksi (vapaaehtoinen).</LI>
<LI>Luo <a href="backup.php" target="_blank">varmuuskopio</a> nykyisist tiedoista (vapaaehtoinen).</LI>
<LI>Jos haluat tyhjent kategorian ennen tuontia, <a href="tools_empty_category.php" target="_blank">tyhjenn kategoria</a> (vapaaehtoinen).</LI>
<LI>Luo tarvittaessa uusi <a href="categories.php" target="_blank">kategoria</a> (vapaaehtoinen).</LI>
<LI><a href="tools_import_products_category.php">Pivit</a> tm sivu tarvittaessa.</LI>
</UL>

<UL>
<LI>Valitse kategoria, johon tuotteet tuodaan.</LI>
</UL>

<UL>
<?php

$result = mysql_query ("SELECT * FROM $clover_shop_categories WHERE cs_category_title IS NOT NULL ORDER BY cs_category_listing_position asc");

if (mysql_num_rows ($result)) {

	echo "<SELECT name=\"import_category\">\n";

	echo "<OPTION value=\"\">- valitse -</OPTION>\n";
	echo "<OPTION value=\"\"></OPTION>\n";

	while ($s = mysql_fetch_array ($result)) {

		echo "<OPTION value=\"$s[cs_category_id]\">";
		for ($i = 2; $i <= $s['cs_category_level']; $i++) echo "&nbsp;&nbsp;";
		echo "$s[cs_category_title]</OPTION>\n";

	}

	echo "</SELECT>\n";

}
?>
</UL>

<UL>
<LI>Valitse kytettv sarake-erotinmerkki.</LI>
</UL>

<UL>
<SELECT name="import_column_separator">
<OPTION value="">- valitse -</OPTION>
<OPTION value=""></OPTION>
<OPTION value="semi-colon">Puolipilkku</OPTION>
<OPTION value="tabulator">Tabulaattori</OPTION>
<OPTION value="pipeline">Pipeline</OPTION>
</SELECT>
</UL>

<UL>
<LI>Kopioi tekstitiedoston sislt alla olevaan lomakkeeseen. Harjoittele ensin muutamalla tuotteella! Yksi tuote saattaa rivitty alla olevassa lomakkeessa  kahdelle riville. Se ei kuitenkaan haittaa, jos alkuperisess tekstitiedostossa jokaisella rivill on vain yksi tuote. l kopioi tietoja suoraan taulukkolaskentaohjelmasta!</LI>
</UL>

<UL>
<TEXTAREA name="import_data" cols=120 rows=30></TEXTAREA>
</UL>


<UL>
<LI>Mrittele sarakkeiden vastaavuudet. Thdell (*) merkityt ovat pakollisia sarakkeita.</LI>
</UL>

<UL>
<TABLE>

<?php

for ($i = 1; $i <= 24; $i++) {

	echo "<TR><TD align=\"right\"><P class=\"smallbasic\"> Sarake $i vastaa</P></TD><TD><SELECT name=\"import_column_$i\">";
	echo "<OPTION value=\"\">- ei mitn -</OPTION>";
	echo "<OPTION value=\"\"></OPTION>";

	echo "<OPTION value=\"cs_product_title\"";
	if ($_SESSION['import_products_category_import_column_'. $i] == "cs_product_title") echo " selected"; 
	echo ">nimi*</OPTION>";

	echo "<OPTION value=\"cs_product_price_1\"";
	if ($_SESSION['import_products_category_import_column_'. $i] == "cs_product_price_1") echo " selected"; 
	echo ">hinta</OPTION>";

	echo "<OPTION value=\"cs_product_special_price_1\"";
	if ($_SESSION['import_products_category_import_column_'. $i] == "cs_product_special_price_1") echo " selected"; 
	echo ">tarjoushinta</OPTION>";

	echo "<OPTION value=\"cs_product_inventory_price\"";
	if ($_SESSION['import_products_category_import_column_'. $i] == "cs_product_inventory_price") echo " selected"; 
	echo ">inventaarihinta</OPTION>";

	echo "<OPTION value=\"cs_product_size\"";
	if ($_SESSION['import_products_category_import_column_'. $i] == "cs_product_size") echo " selected"; 
	echo ">koko</OPTION>";

	echo "<OPTION value=\"cs_product_delivery_cost_unit\"";
	if ($_SESSION['import_products_category_import_column_'. $i] == "cs_product_delivery_cost_unit") echo " selected"; 
	echo ">toimituskuluyksikk</OPTION>";

	echo "<OPTION value=\"cs_product_stock\"";
	if ($_SESSION['import_products_category_import_column_'. $i] == "cs_product_stock") echo " selected"; 
	echo ">varastossa</OPTION>";

	echo "<OPTION value=\"cs_product_sold\"";
	if ($_SESSION['import_products_category_import_column_'. $i] == "cs_product_sold") echo " selected"; 
	echo ">myyty</OPTION>";

	echo "<OPTION value=\"cs_product_picture_thumbnail\"";
	if ($_SESSION['import_products_category_import_column_'. $i] == "cs_product_picture_thumbnail") echo " selected"; 
	echo ">pikkukuva</OPTION>";

	echo "<OPTION value=\"cs_product_picture_1\"";
	if ($_SESSION['import_products_category_import_column_'. $i] == "cs_product_picture_1") echo " selected"; 
	echo ">kuva 1</OPTION>";

	echo "<OPTION value=\"cs_product_picture_2\"";
	if ($_SESSION['import_products_category_import_column_'. $i] == "cs_product_picture_2") echo " selected"; 
	echo ">kuva 2</OPTION>";

	echo "<OPTION value=\"cs_product_description_1\"";
	if ($_SESSION['import_products_category_import_column_'. $i] == "cs_product_description_1") echo " selected"; 
	echo ">esittelyteksti 1</OPTION>";

	echo "<OPTION value=\"cs_product_description_2\"";
	if ($_SESSION['import_products_category_import_column_'. $i] == "cs_product_description_2") echo " selected"; 
	echo ">esittelyteksti 2</OPTION>";

	echo "<OPTION value=\"cs_product_description_3\"";
	if ($_SESSION['import_products_category_import_column_'. $i] == "cs_product_description_3") echo " selected"; 
	echo ">esittelyteksti 3</OPTION>";

	echo "<OPTION value=\"cs_product_code\"";
	if ($_SESSION['import_products_category_import_column_'. $i] == "cs_product_code") echo " selected"; 
	echo ">tuotekoodi</OPTION>";

	echo "<OPTION value=\"cs_product_manufacturer_code\"";
	if ($_SESSION['import_products_category_import_column_'. $i] == "cs_product_manufacturer_code") echo " selected"; 
	echo ">valmistajan koodi</OPTION>";

	if ($config[cs_setting_tax_name_1]) {
		echo "<OPTION value=\"cs_product_tax_percent_1\"";
		if ($_SESSION['import_products_category_import_column_'. $i] == "cs_product_tax_percent_1") echo " selected"; 
		echo ">$config[cs_setting_tax_name_1]%*</OPTION>";
	}

	if ($config[cs_setting_tax_name_2]) {
		echo "<OPTION value=\"cs_product_tax_percent_2\"";
		if ($_SESSION['import_products_category_import_column_'. $i] == "cs_product_tax_percent_2") echo " selected"; 
		echo ">$config[cs_setting_tax_name_2]%*</OPTION>";
	}

	echo "<OPTION value=\"cs_product_available_date\"";
	if ($_SESSION['import_products_category_import_column_'. $i] == "cs_product_available_date") echo " selected"; 
	echo ">saatavilla (VVVV-KK-PP)</OPTION>";

	echo "<OPTION value=\"cs_product_datetime_last_modified\"";
	if ($_SESSION['import_products_category_import_column_'. $i] == "cs_product_datetime_last_modified") echo " selected"; 
	echo ">pivitetty (VVVV-KK-PP TT:MM:SS)</OPTION>";

	echo "</SELECT></TD></TR>\n\n";


}

?>

</TABLE>
</UL>

<UL>
<LI>Klikkaa Tuo tuotteita kategoriaan -nappia yhden kerran ja odota kunnes sivu latautuu uudelleen.</LI>
</UL>

<UL>
<INPUT type="submit" value="Tuo tuotteita kategoriaan" class="button_critical">
</UL>

<UL>
<P class="smallnote"><B>Trke!</B> Jos tm sivu ei lataudu uudelleen tai net virheilmoituksen "server timeout" tms., palauta varmuuskopio ja tuo vhemmn tuotteita yhdell kertaa.</P>
</UL>

<UL>
<LI>Tarkista <a href="products.php" target="_blank">tuotteet</a>.</LI>
<LI>Jos tuonti eponnistui, voit <a href="backup_restore.php" target="_blank">palauttaa varmuuskopion</a>.</LI>
<LI><a href="settings.php" target="_blank">Avaa kauppa</a> (vapaaehtoinen).</LI>
</UL>

</FORM>

<?php

}

?>

<?php

//-----------------------------------------------------------------
// Lets include the footer.php file.
//-----------------------------------------------------------------

include "footer.php";



//-----------------------------------------------------------------
// Lets close MySQL connection.
//-----------------------------------------------------------------

mysql_close ($mysql_link);
  	     	      	        	   	       		         	    	   	   	     
?>
