<?php
  	     	      	        	   	       		         	    	   	   	     
/*
------------------------------------------------------------------------
cat/feedback.php
------------------------------------------------------------------------
Clover Shop Pro 3.7.0 (FI)                                    2011-01-13
------------------------------------------------------------------------
    ___  __    _____  _  _  ____  ____      ___  _   _  _____  ____ 
   / __)(  )  (  _  )( \/ )( ___)(  _ \    / __)( )_( )(  _  )(  _ \
  ( (__  )(__  )(_)(  \  /  )__)  )   /    \__ \ ) _ (  )(_)(  )___/
   \___)(____)(_____)  \/  (____)(_)\_)    (___/(_) (_)(_____)(__)     

    Tekijnoikeus (c) 2001-2008 Apilaratas Oy, 2009- Clover Shop Oy

------------------------------------------------------------------------
 Tmn ohjelmiston tai sen osien kytt edellytt ohjelmiston kytt-
 oikeussopimuksen hyvksymist ja kyttoikeusluvan hankkimista Clover
 Shop Oy:lt. Luvaton kytt, kopiointi ja jakelu on kielletty.
 >>> http://www.clovershop.com
------------------------------------------------------------------------
*/



//-----------------------------------------------------------------
// Lets include the config_cat.php file.
//-----------------------------------------------------------------

include "config_cat.php";



//-----------------------------------------------------------------
// Lets start a MySQL connection.
//-----------------------------------------------------------------

$mysql_link = mysql_connect ($config['mysql_server'], $config['mysql_read_username'], $config['mysql_read_password']) or die ("<P>Tietokantaan ei saatu yhteytt. Vr 'mysql_server', 'mysql_read_username' tai 'mysql_read_password'.</P>");
  	     	      	        	   	       		         	    	   	   	     
mysql_select_db ($config['mysql_database'], $mysql_link) or die ("<P>Tietokantaan ei saatu yhteytt. Vr 'mysql_database'.</P>");

if ($config['mysql_set_names']) mysql_query ("SET NAMES '$config[mysql_set_names]'");



//-----------------------------------------------------------------
// Lets add some more values to the $config array that was created
// in the config_cat.php file.
//-----------------------------------------------------------------

$result = mysql_query ("SELECT * FROM $clover_shop_settings LIMIT 1");

if ($result) while ($s = mysql_fetch_array ($result, MYSQL_ASSOC)) while (list ($key, $val) = each ($s)) if ($val) $config[$key] = $val;



//-----------------------------------------------------------------
// If the feedback page is disabled, then lets close the MySQL
// connection and forward the user to the main page.
//-----------------------------------------------------------------

if (!$config['cs_setting_on_feedback']) {

	mysql_close ($mysql_link);

	header ("Location: index.php");
	exit;

}



//-----------------------------------------------------------------
// Lets send the feedback to the merchant (e-mail only).
//-----------------------------------------------------------------

if ($_POST) {


	// Lets do some spam filtering to the original request.
  	     	      	        	   	       		         	    	   	   	     
	$sensitive_input0 = "$_POST[email] $_POST[name] $_POST[feedback]";
	if (strlen ($sensitive_input0) != strlen (strip_tags ($sensitive_input0))) $error_message['back'] = "Palaute sislt HTML-lhdekoodia, mik ei ole sallittua.";
	if (substr_count ($sensitive_input0, "@") > 5) $error_message['back'] = "Palaute sislt liian monta shkpostiosoitetta.";
	if (substr_count (strtoupper ($sensitive_input0), "HTTP://") > 5) $error_message['back'] = "Palaute sislt liian monta www-osoitetta.";
	if (substr_count (strtoupper ($sensitive_input0), "FTP://") > 5) $error_message['back'] = "Palaute sislt liian monta FTP-osoitetta.";
  	     	      	        	   	       		         	    	   	   	     
	$sensitive_input0_split = preg_split ("/ /", str_replace ("\n", " ", $sensitive_input0));
	while (list ($key, $value) = each ($sensitive_input0_split)) {
		if (strlen (trim ($value)) == 32 && !preg_match ("/[g-z]/i", trim ($value)) && is_numeric (preg_replace ("/[^0-9]/", "", trim ($value)))) {
			$error_message['back'] = "Palaute sislt turvatarkisteen, mik ei ole sallittua.";
			break;
		} else {
			continue;
		}
	}


	// Lets limit the number of characters of the received variables.

	$_POST['email'] = strip_tags (substr ($_POST['email'], 0, 50));
	$_POST['name'] = stripslashes (strip_tags (substr ($_POST['name'], 0, 50)));
	$_POST['feedback'] = stripslashes (strip_tags (substr ($_POST['feedback'], 0, 3000)));


	// Lets do some additional security checks.

	$sensitive_input1 = "$_POST[email] $_POST[name] $_POST[feedback]";
	$sensitive_input2 = "$_POST[email] $_POST[name]";
	if (
		preg_match ("/content-type/i", $sensitive_input1) || 
		preg_match ("/mime-version/i", $sensitive_input1) || 
		preg_match ("/content-transfer-encoding/i", $sensitive_input1) || 
		preg_match ("/bcc:/i", $sensitive_input1) || 
		preg_match ("/cc:/i", $sensitive_input1) || 
		preg_match ("/subject:/i", $sensitive_input1) || 
		preg_match ("/to:/i", $sensitive_input1) || 
		preg_match ("/\/url]/i", $sensitive_input1) || 
		preg_match ("/url=/i", $sensitive_input1) || 
		preg_match ("/javascript:/i", $sensitive_input1) || 
		preg_match ("/vbscript:/i", $sensitive_input1) ||
		preg_match ("/document\.write/i", $sensitive_input1) || 
		preg_match ("/document\.location/i", $sensitive_input1) || 
		preg_match ("/document\.cookie/i", $sensitive_input1) || 
		preg_match ("/%27/i", $sensitive_input1) || 
		preg_match ("/%3c/i", $sensitive_input1) || 
		preg_match ("/%3e/i", $sensitive_input1) || 
		preg_match ("/&#x3c/i", $sensitive_input1) || 
		preg_match ("/&#x3e/i", $sensitive_input1) || 
		preg_match ("/\r/i", $sensitive_input2) || 
		preg_match ("/\n/i", $sensitive_input2) || 
		preg_match ("/%0a/i", $sensitive_input2) || 
		preg_match ("/%0d/i", $sensitive_input2)
	) $error_message['back'] = "Palaute sislt kiellettyj sanoja.";


	// Lets check that the security hash is correct.

	$week = date ("YW");
	$security_hash = md5 ("$config[cs_setting_product_key] $week 1hdyf748gjdyhg6h5dju");
	if (!$_POST['security_hash'] || $_POST['security_hash'] != $security_hash) $error_message['feedback'] = "Palaute on annettava palautelomakkeen kautta.";


	// Lets check the required form fields.

	if (!preg_match ("/^[_a-z0-9-]+(\.[_a-z0-9-]+)*@[a-z0-9-]+(\.[a-z0-9-]+)*(\.[a-z]{2,6})$/i", $_POST['email'])) $error_message['back'] = "Shkpostiosoite oli virheellinen.";
	if (!$_POST['feedback']) $error_message['back'] = "Palaute puuttui.";


	// Lets check that Cookies are enabled.

	if (!$_COOKIE) $error_message['back'] = "Kytke www-selaimesi evsteet plle.";


	// Lets limit the number of submits.

	$_SESSION['clover_shop_feedback_tries']++;
	if ($_SESSION['clover_shop_feedback_tries'] > 5) $error_message['index'] = "Liian monta pyynt yhden selainsession aikana.";


	// If no errors found, then lets continue...

	if (!$error_message) {


		// Lets send the feedback to the merchant.

		unset ($receiver, $topic, $message, $headers);

		$message .= "Tm palaute lhetettiin osoitteesta\n";
		$message .= "$config[cs_setting_cat_url]/feedback.php\n\n";

		$message .= "-------------------------------------------------\n\n";

		$message .= wordwrap ($_POST['feedback']);
		$message .= "\n\n";

		$message .= "Nimi: $_POST[name]\n";
		$message .= "Shkpostiosoite: $_POST[email]\n\n";

		$message .= "-------------------------------------------------\n\n";

		$receiver = "$config[cs_setting_shop_email], $config[cs_setting_shop_email_copy]";
		$topic = "Palaute";
		$headers .= "MIME-Version: 1.0\r\n";
		$headers .= "Content-Type: text/plain; charset=iso-8859-1\r\n";
		if (preg_match ("/^[_a-z0-9-]+(\.[_a-z0-9-]+)*@[a-z0-9-]+(\.[a-z0-9-]+)*(\.[a-z]{2,6})$/i", $_POST['email'])) $headers .= "From: $_POST[name] <$_POST[email]>\r\n";

		if (!$config['demo_mode']) @mail ($receiver, $topic, $message, $headers);


		// Sending feedback was successful.

		$successful_message['index'] = "Kiitos palautteestasi!";

	}

}



//-----------------------------------------------------------------
// Lets set the page title, breadcrumb and include the header.php
// file.
//-----------------------------------------------------------------

$page_title = "Palaute";
$page_breadcrumb = " > <a href=\"". $_SERVER['PHP_SELF'] ."\" class=\"topbreadcrumb\">$page_title</a>";
include "header.php";

?>

<?php

//-----------------------------------------------------------------
// Lets show the page.
//-----------------------------------------------------------------

if ($error_message) {
	
	echo "<H1>Oho!</H1>";
	
	if ($error_message['feedback']) {
		
		echo "<P>$error_message[feedback]</P>";
		
		echo "<FORM action=\"$config[cs_setting_cat_url]/feedback.php\" method=\"post\" class=\"inline\">";
		echo "<INPUT type=\"submit\" value=\"Siirry palautesivulle\" class=\"button\">";
		echo "</FORM>";
		
		} else if ($error_message['index']) {
		
		echo "<P>$error_message[index]</P>";
		
		echo "<FORM action=\"$config[cs_setting_cat_url]/index.php\" method=\"post\" class=\"inline\">";
		echo "<INPUT type=\"submit\" value=\"Siirry etusivulle\" class=\"button\">";
		echo "</FORM>";
		
		} else if ($error_message['back']) {
		
		echo "<P>$error_message[back]</P>";
		
		echo "<NOSCRIPT>";
		echo "<P>Voit klikata www-selaimen Takaisin -nappulaa.</P>";
		echo "</NOSCRIPT>";
		
		echo "<SCRIPT type=\"Text/JavaScript\">";
		echo "document.writeln ('<FORM action=\"\" class=\"inline\"><INPUT type=\"button\" value=\"Siirry edelliselle sivulle\" onclick=\"javascript:history.go(-1)\" class=\"button\"><\/FORM>');";
		echo "</SCRIPT>";
		
	}
	
}

if ($successful_message) {
	
	echo "<H1>Kiitos</H1>";
	
	if ($successful_message['index']) {
		
		echo "<P>$successful_message[index]</P>";
		
		echo "<FORM action=\"$config[cs_setting_cat_url]/index.php\" method=\"post\" class=\"inline\">";
		echo "<INPUT type=\"submit\" value=\"Siirry etusivulle\" class=\"button\">";
		echo "</FORM>";
		
	}
	
}

if (!$error_message && !$successful_message) {
	
	echo "<FORM action=\"feedback.php\" method=\"POST\" class=\"inline\">";
	
	$week = date ("YW");
	$security_hash = md5 ("$config[cs_setting_product_key] $week 1hdyf748gjdyhg6h5dju");
	echo "<INPUT type=\"hidden\" name=\"security_hash\" value=\"$security_hash\">";
	
	echo "<H1>Palaute</H1>";
	
	echo "<TABLE cellpadding=3 cellspacing=0 width=\"100%\">";
	
	echo "<TR><TD align=\"right\"><P class=\"smallbasic\">Shkpostiosoite</P></TD><TD><INPUT type=\"text\" name=\"email\" size=\"30\" maxlength=\"50\" class=\"field\"></TD></TR>";
	
	echo "<TR><TD align=\"right\"><P class=\"smallbasic\">Nimi</P></TD><TD><INPUT type=\"text\" name=\"name\" size=\"30\" maxlength=\"50\" class=\"field\"></TD></TR>";
	
	echo "<TR><TD align=\"right\"><P class=\"smallbasic\">Palaute</P></TD><TD><TEXTAREA NAME=\"feedback\" ROWS=\"10\" cols=\"50\" class=\"field\"></TEXTAREA></TD></TR>";
	
	echo "</TABLE>";
	
	echo "<BR>";
	
	echo "<INPUT type=\"submit\" value=\"Lhet palaute\" class=\"button\">";
	
	echo "</FORM>";
	
}

?>

<?php

//-----------------------------------------------------------------
// Lets include the footer.php file.
//-----------------------------------------------------------------

include "footer.php";



//-----------------------------------------------------------------
// Lets close MySQL connection.
//-----------------------------------------------------------------

mysql_close ($mysql_link);
  	     	      	        	   	       		         	    	   	   	     
?>
