<?php
  	     	      	        	   	       		         	    	   	   	     
/*
------------------------------------------------------------------------
sec/payment_gateways/ennakkomaksu.php
------------------------------------------------------------------------
Clover Shop Pro 3.7.0 (FI)                                    2011-01-13
------------------------------------------------------------------------
    ___  __    _____  _  _  ____  ____      ___  _   _  _____  ____ 
   / __)(  )  (  _  )( \/ )( ___)(  _ \    / __)( )_( )(  _  )(  _ \
  ( (__  )(__  )(_)(  \  /  )__)  )   /    \__ \ ) _ (  )(_)(  )___/
   \___)(____)(_____)  \/  (____)(_)\_)    (___/(_) (_)(_____)(__)     

    Tekijnoikeus (c) 2001-2008 Apilaratas Oy, 2009- Clover Shop Oy

------------------------------------------------------------------------
 Tmn ohjelmiston tai sen osien kytt edellytt ohjelmiston kytt-
 oikeussopimuksen hyvksymist ja kyttoikeusluvan hankkimista Clover
 Shop Oy:lt. Luvaton kytt, kopiointi ja jakelu on kielletty.
 >>> http://www.clovershop.com
------------------------------------------------------------------------
*/



//-----------------------------------------------------------------
// Lets make sure that nobody visits this page for fun.
// Actually visiting this page does nothing harmful.
//-----------------------------------------------------------------

if (preg_match ("/\/ennakkomaksu.php/", $_SERVER['PHP_SELF'])) {

	error_reporting (E_ERROR | E_WARNING | E_PARSE);
	exit;

}



//-----------------------------------------------------------------
// TEKNISET TIEDOT
//
// Tilisiirto ja SEPA-tilisiirto
// Huhtikuu 2007
// 
// SOPIMUKSET
//
// Tmn maksutavan kytt ei edellyt muita sopimuksia, kuin
// pankkitilin avaamista miss tahansa suomalaisessa pankissa.
//
// ASETUKSET
// 
// 1) Thn tiedostoon ei tarvitse tehd muutoksia.
// 2) Maksutavan kyttnotto tapahtuu muilta osin ohjekirjan
//    mukaisesti: 6.1 Verkko- ja korttimaksut
//
//-----------------------------------------------------------------






//-----------------------------------------------------------------
// Payment gateway
//-----------------------------------------------------------------

if ($_SESSION['clover_shop_payment_method'] == "Ennakkomaksu, tilisiirto" && preg_match ("/\/payment.php/", $_SERVER['PHP_SELF'])) {

	$ennakkomaksu['reference_number'] = $temp_new['cs_order_reference_number'];
	$ennakkomaksu['amount'] = str_replace (".", ",", $_SESSION['clover_shop_grand_total']['subtotal']);
	$ennakkomaksu['continue_url'] = "$config[cs_setting_sec_url]/thank_you.php?ref=$temp_new[cs_order_reference_number]&order_successful=1&sec=$sec_hash";


	// Lets show the specific content of this payment gateway.

	echo "<P>Olemme vastaanottaneet tilauksesi. Tulosta tm sivu ja maksa se tavallisen tilisiirron tapaan.</P>";

	echo "<TABLE width=\"100%\" cellpadding=2 cellspacing=0>";

	echo "<TR><TD width=\"33%\" class=\"cartbasic\" align=\"right\"><P class=\"smallbasic\">Saaja</P></TD><TD class=\"cartbasic\"><P class=\"cartbasic\">";
	if ($config['cs_setting_contact_company_name']) echo "$config[cs_setting_contact_company_name]<BR>";
	if ($config['cs_setting_contact_street_line_1']) echo "$config[cs_setting_contact_street_line_1]<BR>";
	if ($config['cs_setting_contact_street_line_2"']) echo "$config[cs_setting_contact_street_line_2]<BR>";
	if ($config['cs_setting_contact_street_line_3']) echo "$config[cs_setting_contact_street_line_3]<BR>";
	if ($config['cs_setting_contact_city']) echo "$config[cs_setting_contact_postal_code] $config[cs_setting_contact_city]<BR>";
	if ($config['cs_setting_contact_state_prov']) echo "$config[cs_setting_contact_state_prov]<BR>";
	if ($config['cs_setting_contact_country']) echo "$config[cs_setting_contact_country]<BR>";
	echo "</P></TD></TR>";
	echo "<TR><TD width=\"33%\" class=\"cartbasic\" align=\"right\"><P class=\"smallbasic\">Pankki</P></TD><TD class=\"cartbasic\"><P class=\"cartbasic\">". $config['cs_setting_bank_name'] ."</P></TD></TR>";
	echo "<TR><TD width=\"33%\" class=\"cartbasic\" align=\"right\"><P class=\"smallbasic\">Saajan tilinumero</P></TD><TD class=\"cartbasic\"><TT><font size=+1>". $config['cs_setting_bank_account_number'] ."</TT></font></TD></TR>";
	if ($config['cs_setting_bank_iban']) echo "<TR><TD width=\"33%\" class=\"cartbasic\" align=\"right\"><P class=\"smallbasic\">IBAN-tilinumero</P></TD><TD class=\"cartbasic\"><TT><font size=+1>". $config['cs_setting_bank_iban'] ."</TT></font></TD></TR>";
	if ($config['cs_setting_bank_bic']) echo "<TR><TD width=\"33%\" class=\"cartbasic\" align=\"right\"><P class=\"smallbasic\">BIC-koodi</P></TD><TD class=\"cartbasic\"><TT><font size=+1>". $config['cs_setting_bank_bic'] ."</TT></font></TD></TR>";
	echo "<TR><TD width=\"33%\" class=\"cartbasic\" align=\"right\"><P class=\"smallbasic\">Viitenumero</P></TD><TD class=\"cartbasic\"><P class=\"cartbasic\">". $ennakkomaksu['reference_number'] ."</P></TD></TR>";
	echo "<TR><TD width=\"33%\" class=\"cartbasic\" align=\"right\"><P class=\"smallbasic\">Summa</P></TD><TD class=\"cartbasic\"><P class=\"cartbasic\">$config[cs_setting_cur_html_bef]". $ennakkomaksu['amount'] ."$config[cs_setting_cur_html_aft]</P></TD></TR>";

	echo "</TABLE>";

	echo "<FORM action=\"". $ennakkomaksu['continue_url'] ."\" method=\"post\" class=\"inline\">";
	echo "<BR><INPUT type=\"submit\" value=\"Siirry seuraavalle sivulle\" class=\"button\">";
	echo "</FORM>";


	// Lets prepare the specific content of the order confirmation message.

	unset ($gateway_specific_message);

	$gateway_specific_message .= "Huomioithan, ett edellytmme tilauksen maksamista ennakkoon.\n";
	$gateway_specific_message .= "\n";
	$gateway_specific_message .= "-------------------------------------------------------------\n";
	$gateway_specific_message .= "                                                   TILISIIRTO\n";
	if ($config['cs_setting_contact_company_name']) $gateway_specific_message .= "Saaja             $config[cs_setting_contact_company_name]\n";
	$gateway_specific_message .= "Pankki            ". $config['cs_setting_bank_name'] ."\n";
	$gateway_specific_message .= "Saajan tilinumero ". $config['cs_setting_bank_account_number'] ."\n";
	if ($config['cs_setting_bank_iban']) $gateway_specific_message .= "IBAN-tilinumero   ". $config['cs_setting_bank_iban'] ."\n";
	if ($config['cs_setting_bank_bic']) $gateway_specific_message .= "BIC-koodi         ". $config['cs_setting_bank_bic'] ."\n";
	$gateway_specific_message .= "Viitenumero       ". $ennakkomaksu['reference_number'] ."\n";
	$gateway_specific_message .= "Summa             $config[cs_setting_cur_plain_bef]". $ennakkomaksu['amount'] ."$config[cs_setting_cur_plain_aft]\n";
	$gateway_specific_message .= "-------------------------------------------------------------\n";

}

unset ($ennakkomaksu);

?>