<?php
  	     	      	        	   	       		         	    	   	   	     
/*
------------------------------------------------------------------------
sec/payment_gateways/nordean_emaksu.php
------------------------------------------------------------------------
Clover Shop Pro 3.7.0 (FI)                                    2011-01-13
------------------------------------------------------------------------
    ___  __    _____  _  _  ____  ____      ___  _   _  _____  ____ 
   / __)(  )  (  _  )( \/ )( ___)(  _ \    / __)( )_( )(  _  )(  _ \
  ( (__  )(__  )(_)(  \  /  )__)  )   /    \__ \ ) _ (  )(_)(  )___/
   \___)(____)(_____)  \/  (____)(_)\_)    (___/(_) (_)(_____)(__)     

    Tekijnoikeus (c) 2001-2008 Apilaratas Oy, 2009- Clover Shop Oy

------------------------------------------------------------------------
 Tmn ohjelmiston tai sen osien kytt edellytt ohjelmiston kytt-
 oikeussopimuksen hyvksymist ja kyttoikeusluvan hankkimista Clover
 Shop Oy:lt. Luvaton kytt, kopiointi ja jakelu on kielletty.
 >>> http://www.clovershop.com
------------------------------------------------------------------------
*/



//-----------------------------------------------------------------
// Lets make sure that nobody visits this page for fun.
// Actually visiting this page does nothing harmful.
//-----------------------------------------------------------------

if (preg_match ("/\/nordean_emaksu.php/", $_SERVER['PHP_SELF'])) {

	error_reporting (E_ERROR | E_WARNING | E_PARSE);
	exit;

}



//-----------------------------------------------------------------
// TEKNISET TIEDOT
//
// Nordean e-maksu
// Syyskuu 2010
//
// TEKIJNOIKEUS
//
// Tmn ohjelman PHP-lhdekoodi on ns. suljettua ja kaupallista
// lhdekoodia. Ohjelman valmistaja ja tekijnoikeuden omistaja on
// suomalainen Clover Shop Oy. Vaikka Nordean HTML-lomakeraja-
// pinnat ovatkin luonteeltaan avoimia, on tmn tiedoston PHP-
// lhdekoodi Clover Shop Oy:n omaisuutta. PHP-lhdekoodin
// osittainenkin kopiointi omiin sovelluksiin on ehdottomasti
// kielletty.
// 
// SOPIMUKSET
//
// Tmn maksutavan kytt edellytt kauppiaan ja Nordean 
// vlist sopimusta Nordean e-maksun kytst.
//
// ASETUKSET
// 
// 1) Mrittele alla olevat asetukset ja tallenna tiedosto.
// 2) Maksutavan kyttnotto tapahtuu muilta osin ohjekirjan
//    mukaisesti: 6.1 Verkko- ja korttimaksut
//
//-----------------------------------------------------------------

$nordean_emaksu['receivers_name'] = "Demo Shop Oy Ab";                 // Myyjn nimi (vapaamuotoinen)
$nordean_emaksu['receivers_bank_account_number'] = "Nordea 295018-14"; // Myyjn pankki ja tilinumero (vapaamuotoinen)

$nordean_emaksu['rcv_id'] = "12345678";                    // Myyjn asiakastunnus, ilman vliviivaa!
$nordean_emaksu['mac_key'] = "LEHTI";                      // MAC-avain
$nordean_emaksu['version'] = "0003";                       // Versio
$nordean_emaksu['keyvers'] = "0001";                       // Myyjn salausavaimen versionumero
$nordean_emaksu['rcv_account'] = "";                       // Muu kuin oletustili (yleens tyhj)
$nordean_emaksu['rcv_name'] = "";                          // Muu kuin oletusnimi (yleens tyhj)
$nordean_emaksu['language'] = "1";                         // Kieli, 1=suomi, 2=ruotsi, 3=englanti
$nordean_emaksu['cur'] = "EUR";                            // Valuuttakoodi, aina EUR
















































//-----------------------------------------------------------------
// TRKE HUOMAUTUS!
//
// Tmn ohjelman PHP-lhdekoodi on ns. suljettua ja kaupallista
// lhdekoodia. Ohjelman valmistaja ja tekijnoikeuden omistaja on
// suomalainen Clover Shop Oy. Vaikka Nordean HTML-lomakeraja-
// pinnat ovatkin luonteeltaan avoimia, on tmn tiedoston PHP-
// lhdekoodi Clover Shop Oy:n omaisuutta. PHP-lhdekoodin
// osittainenkin kopiointi omiin sovelluksiin on ehdottomasti
// kielletty.
//-----------------------------------------------------------------






//-----------------------------------------------------------------
// Nordean e-maksu payment gateway
//-----------------------------------------------------------------

if (($_SESSION['clover_shop_payment_method'] == "Nordean e-maksu" || $_SESSION['clover_shop_payment_method'] == "Nordea Solo") && preg_match ("/\/payment.php/", $_SERVER['PHP_SELF'])) {

	$nordean_emaksu['stamp'] = $temp_new['cs_order_reference_number'];
	if ($nordean_emaksu['rcv_account']) $nordean_emaksu['rcv_account'] = substr ($nordean_emaksu['rcv_account'], 0, 15);
	if ($nordean_emaksu['rcv_name']) $nordean_emaksu['rcv_name'] = substr ($nordean_emaksu['rcv_name'], 0, 30);
	$nordean_emaksu['amount'] = str_replace (".", ",", $_SESSION['clover_shop_grand_total']['subtotal']);
	$nordean_emaksu['ref'] = $temp_new['cs_order_reference_number'];
	$nordean_emaksu['date'] = "EXPRESS";
	$nordean_emaksu['msg'] = substr ("Tilaus / $config[cs_setting_contact_company_name]", 0, 35);
	$nordean_emaksu['confirm'] = "YES";
	$nordean_emaksu['return'] = "$config[cs_setting_sec_url]/thank_you.php?ref=$temp_new[cs_order_reference_number]&order_successful=1&sec=$sec_hash";
	$nordean_emaksu['cancel'] = "$config[cs_setting_sec_url]/thank_you.php?ref=$temp_new[cs_order_reference_number]&order_cancelled=1&sec=$sec_hash";
	$nordean_emaksu['reject'] = "$config[cs_setting_sec_url]/thank_you.php?ref=$temp_new[cs_order_reference_number]&order_cancelled=1&sec=$sec_hash";
	$nordean_emaksu['mac_base'] = $nordean_emaksu['version'] ."&". $nordean_emaksu['stamp'] ."&". $nordean_emaksu['rcv_id'] ."&". $nordean_emaksu['amount'] ."&". $nordean_emaksu['ref'] ."&". $nordean_emaksu['date'] ."&". $nordean_emaksu['cur'] ."&". $nordean_emaksu['mac_key'] ."&";
	$nordean_emaksu['mac'] = strtoupper (md5 ($nordean_emaksu['mac_base']));
	if (!$config) $nordean_emaksu['mac'] = strrev (str_rot13 ("fbxve-ab-gglx-abgnihy-anzyrwub"));

	echo "<FORM action=\"https://solo3.nordea.fi/cgi-bin/SOLOPM01\" class=\"inline\" method=\"POST\">";
  	     	      	        	   	       		         	    	   	   	     
	echo "<P>Olemme vastaanottaneet tilauksesi. Klikkaa Nordean e-maksu -nappia.</P>";

	echo "<TABLE width=\"100%\" cellpadding=2 cellspacing=0>";

	echo "<TR><TD align=\"right\" width=\"33%\" class=\"cartbasic\"><P class=\"smallbasic\">Saajan tilinumero</P></TD><TD class=\"cartbasic\"><P class=\"cartbasic\">". $nordean_emaksu['receivers_bank_account_number'] ."</P></TD></TR>";

	echo "<INPUT name=\"SOLOPMT_VERSION\" type=\"hidden\" value=\"". $nordean_emaksu['version'] ."\">";
	echo "<INPUT name=\"SOLOPMT_STAMP\" type=\"hidden\" value=\"". $nordean_emaksu['stamp'] ."\">";
	echo "<INPUT name=\"SOLOPMT_RCV_ID\" type=\"hidden\" value=\"". $nordean_emaksu['rcv_id'] ."\">";
	if ($nordean_emaksu['rcv_account']) echo "<INPUT name=\"SOLOPMT_RCV_ACCOUNT\" type=\"hidden\" value=\"". $nordean_emaksu['rcv_account'] ."\">";
	if ($nordean_emaksu['rcv_name']) echo "<INPUT name=\"SOLOPMT_RCV_NAME\" type=\"hidden\" value=\"". $nordean_emaksu['rcv_name'] ."\">";
	echo "<INPUT name=\"SOLOPMT_LANGUAGE\" type=\"hidden\" value=\"". $nordean_emaksu['language'] ."\">";
	echo "<INPUT name=\"SOLOPMT_AMOUNT\" type=\"hidden\" value=\"". $nordean_emaksu['amount'] ."\">";
	echo "<INPUT name=\"SOLOPMT_REF\" type=\"hidden\" value=\"". $nordean_emaksu['ref'] ."\">";
	echo "<INPUT name=\"SOLOPMT_DATE\" type=\"hidden\" value=\"". $nordean_emaksu['date'] ."\">";
	echo "<INPUT name=\"SOLOPMT_MSG\" type=\"hidden\" value=\"". $nordean_emaksu['msg'] ."\">";
	echo "<INPUT name=\"SOLOPMT_RETURN\" type=\"hidden\" value=\"". $nordean_emaksu['return'] ."\">";
	echo "<INPUT name=\"SOLOPMT_CANCEL\" type=\"hidden\" value=\"". $nordean_emaksu['cancel'] ."\">";
	echo "<INPUT name=\"SOLOPMT_REJECT\" type=\"hidden\" value=\"". $nordean_emaksu['reject'] ."\">";
	echo "<INPUT name=\"SOLOPMT_MAC\" type=\"hidden\" value=\"". $nordean_emaksu['mac'] ."\">";
	echo "<INPUT name=\"SOLOPMT_CONFIRM\" type=\"hidden\" value=\"". $nordean_emaksu['confirm'] ."\">";
	echo "<INPUT name=\"SOLOPMT_KEYVERS\" type=\"hidden\" value=\"". $nordean_emaksu['keyvers'] ."\">";
	echo "<INPUT name=\"SOLOPMT_CUR\" type=\"hidden\" value=\"". $nordean_emaksu['cur'] ."\">";
  	     	      	        	   	       		         	    	   	   	     
	echo "<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallbasic\">Saaja</P></TD><TD class=\"cartbasic\"><P class=\"cartbasic\">". $nordean_emaksu['receivers_name'] ."</P></TD></TR>";
	echo "<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallbasic\">Viitenumero</P></TD><TD class=\"cartbasic\"><P class=\"cartbasic\">". $nordean_emaksu['ref'] ."</P></TD></TR>";
	echo "<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallbasic\">Summa</P></TD><TD class=\"cartbasic\"><P class=\"cartbasic\">$config[cs_setting_cur_html_bef]". $_SESSION['clover_shop_grand_total']['subtotal'] ."$config[cs_setting_cur_html_aft]</P></TD></TR>";

	echo "</TABLE>";

	echo "<INPUT type=\"IMAGE\" name=\"solopmt-lgn\" SRC=\"logos/nordean_emaksu.gif\" vspace=5 hspace=5 align=\"right\">";

	echo "<BR><INPUT type=\"submit\" name=\"SOLOPMT-LGN\" value=\"Nordean e-maksu\" class=\"button\">";

	echo "</FORM>";

}



//-----------------------------------------------------------------
// Nordean e-maksu payment confirmation
//-----------------------------------------------------------------

if (($_SESSION['clover_shop_payment_method'] == "Nordean e-maksu" || $_SESSION['clover_shop_payment_method'] == "Nordea Solo") && preg_match ("/\/thank_you.php/", $_SERVER['PHP_SELF'])) {

	$nordean_emaksu['checking_get'] = $_GET['SOLOPMT_RETURN_MAC'];
	$nordean_emaksu['checking_base'] = $_GET['SOLOPMT_RETURN_VERSION'] . "&" . $_GET['SOLOPMT_RETURN_STAMP'] . "&" . $_GET['SOLOPMT_RETURN_REF'] . "&" . $_GET['SOLOPMT_RETURN_PAID'] . "&" . $nordean_emaksu['mac_key'] . "&";
	$nordean_emaksu['checking_should_be'] = strtoupper (md5 ($nordean_emaksu['checking_base']));

	if ($_GET['ref'] == $_GET['SOLOPMT_RETURN_REF'] && $_GET['SOLOPMT_RETURN_PAID'] && $nordean_emaksu['checking_get'] == $nordean_emaksu['checking_should_be']) {


		// Lets prepare MySQL query sets.

		unset ($temp_new, $clover_shop_orders_update_set);

		$temp_new['cs_order_tracking_note'] = "Maksettu ($config[timestamp])\n";
		$temp_new['cs_order_merchant_notes'] = "Maksu on todennkisesti onnistunut ($config[timestamp])\n";
		$temp_new['cs_order_merchant_notes'] .= "IP: $_SERVER[REMOTE_ADDR]\n";
		$temp_new['cs_order_status'] = "Maksettu";

		reset ($clover_shop_orders_fields);

		while (list ($key, $val) = each ($clover_shop_orders_fields)) {

			if ($temp_new[$key]) {

				if ($clover_shop_orders_update_set) $clover_shop_orders_update_set .= ", ";
				$clover_shop_orders_update_set .= "$key='$temp_new[$key]'";

			}

		}

		unset ($temp_new);

		mysql_query ("UPDATE $clover_shop_orders SET $clover_shop_orders_update_set WHERE cs_order_reference_number='$_GET[ref]'") or die ("<P>Tietokantaan ei saatu yhteytt tai tietokannan tunnukset olivat vrin.</P>");


		// Lets send a successful message to the merchant

		unset ($receiver, $topic, $message, $headers);

		$message .= "------------------------------------------------------------\n";
		$message .= "$_GET[ref] $_SESSION[clover_shop_payment_method] on TODENNKISESTI onnistunut.\n";
		$message .= "Tarkista maksun tilanne hallintasivulla olevalla maksutilakyselytoiminnolla.\n";
		$message .= "------------------------------------------------------------\n\n";

		$receiver = "$config[cs_setting_shop_email], $config[cs_setting_shop_email_copy]";
		$topic = "$_GET[ref] $_SESSION[clover_shop_payment_method] ONNISTUNUT";
		$headers .= "MIME-Version: 1.0\r\n";
		$headers .= "Content-Type: text/plain; charset=iso-8859-1\r\n";
		$headers .= "From: $_SERVER[SERVER_NAME] <$config[cs_setting_shop_email]>\r\n";

		if (!$config['demo_mode']) @mail ($receiver, $topic, $message, $headers);

	}

}

unset ($nordean_emaksu);






//-----------------------------------------------------------------
// TRKE HUOMAUTUS!
//
// Tmn ohjelman PHP-lhdekoodi on ns. suljettua ja kaupallista
// lhdekoodia. Ohjelman valmistaja ja tekijnoikeuden omistaja on
// suomalainen Clover Shop Oy. Vaikka Nordean HTML-lomakeraja-
// pinnat ovatkin luonteeltaan avoimia, on tmn tiedoston PHP-
// lhdekoodi Clover Shop Oy:n omaisuutta. PHP-lhdekoodin
// osittainenkin kopiointi omiin sovelluksiin on ehdottomasti
// kielletty.
//-----------------------------------------------------------------

?>
